#!/usr/bin/wish -f
# DISCLAIMER OF ALL WARRANTIES.

package require MPlayerTcl

proc open_file {} {
	set file [tk_getOpenFile -filetypes { { Movies { .avi .mov .mpeg .mpg } MoviesFiles} { All * All } } -initialfile "*.mpg"]
	if [file exist $file]==0 then { set file "" } 
	return $file
}

media .m -volume 80 -width 160 -height 120 -scale 3
pack .m -expand yes -fill both 

set wc .control
frame $wc
	button $wc.file 	-text File 	-command 	{ .m stop ; .m configure  -file [open_file] }
	button $wc.dvd 		-text DVD 	-command 	{ .m stop ; .m configure  -dvd 1  }
	button $wc.toggle 	-text Play/Pause -command  	{ .m toggle 	} 
	button $wc.stop		-text Stop 	-command 	{ .m stop  }
	button $wc.volup   	-text Vol+   	-command  	{ .m volume up 	}
	button $wc.voldown  	-text Vol-   	-command  	{ .m volume down}
	button $wc.quit	-text "Quit" -command { exit }

	pack $wc.file $wc.dvd $wc.toggle $wc.stop $wc.volup $wc.voldown $wc.quit -side left
pack $wc



