/* 
 * MPTclInit.h (c) 2001 Cyril BARABTO 
 *
 *	This file contains code to implement the "packer"
 *	test tcl manager for Tcl/Tk.
 *
 * tcl/tk (c) 1990-2003 The Regents of the University of California.
 * 	  (c) 1994-2003 Sun Microsystems, Inc.
 *
 * DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef _MPTcl
#define _MPTcl


#ifndef _TCL
#include <tcl.h>
#endif

#ifndef _TK
#include <tk.h>
#endif


#include "./include/tkInt.h"


#define MPTcl_VERSION	"0.1.0"
#define MPTcl_DATE	"01/2003"
#define MPTcl_PKG	"MPlayerTcl"

/*
 *--------------------------------------------------------------
 * 
 * struct is used for create a table of equ text (char *) and 
 * index (int *). (example : options or commands text to index)  
 *
 *--------------------------------------------------------------
 */

typedef struct {
	char 	*name;
	int 	index;
} MPTcl_Equ;


/*
 *--------------------------------------------------------------
 * 
 * declare heads command
 *
 *--------------------------------------------------------------
 */

int MPTcl_MediaCmd	( ClientData, Tcl_Interp *, int, char ** );     	/* cmd "media" */
int MPTcl_GetEqu	( char *,  MPTcl_Equ * );				/* string to equ index */

#endif /* _TMPTcl */



















